# Restore

Restores a H2 database by extracting the database files from a .zip file.

Methods
static void | execute(String zipFileName, String directory, String db) Restores database files.
static void | execute(String zipFileName, String directory, String db) Restores database files. Parameters: zipFileName - the name of the backup file directory - the directory name db - the database name (null for all databases) Throws: DbException - if there is an IOException
static void | main(String... args) Options are case sensitive.

static void

main(String... args) throws SQLException
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-file <filename>] | The source file name (default: backup.zip)
[-dir <dir>] | The target directory (default: .)
[-db <database>] | The target database name (as stored if not set)
[-quiet] | Do not print progress information

Parameters:
args - the command line arguments

void | runTool(String... args)
void | runTool(String... args) throws SQLException